
	FILTERM
	-------

Użycie: filterm WEJŚCIE WYJŚCIE [KOMENDA [ARGUMENTY]]
Wykonuje podaną KOMENDĘ (domyślnie - szela), filtrując wejście lub
wyjście terminala.

Program może pomóc np. gdy nasz terminal nie potrafi wyświetlać znaków
spoza ASCII albo wprowadzać ich z klawiatury. Również ułatwia pisanie
różnych filtrów terminala.

WEJŚCIE i WYJŚCIE są nazwami filtrów konwerta - są przekazywane
konwertowi jako pierwszy argument. `filterm - WYJŚCIE' filtruje tylko
wyjście, a `filterm WEJŚCIE -' tylko wejście.

Komenda `-' uruchamia szela jako login-szela.

Dodatkowo dostępne są następujące standardowe opcje:
  --help      wyświetla ten opis i wychodzi
  --version   wyświetla informację o wersji i wychodzi

W odróżnieniu od `konwert WEJŚCIE |KOMENDA |konwert WYJŚCIE' komenda
jest wykonywana na pseudo-terminalu, więc pełnoekranowe programy
działają poprawnie.

Filtry muszą wysyłać znaki jak tylko otrzymają wszystko co trzeba na
wejściu, bez buforowania. Skrypty trs'a się nadają, ale skrypty seda,
awka albo tr'a - nie. W C można używać read(), getchar(), fread()
i write(), a putchar() i fwrite() tylko razem z fflush(stdout). W C++:
cin.get(), cout.put() i cout <<. W perlu: sysread, getc, read
i syswrite, a print tylko z $| = 1.

Filtr wejściowy będzie miał ustawioną zmienną środowiskową FILTERM=in,
a wyjściowy - FILTERM=out. W ten sposób niektóre filtry mogą trochę
zmienić zachowanie, kiedy służą filtermowi.


-- 
 __("<   Marcin Kowalczyk * qrczak@knm.org.pl http://qrczak.home.ml.org/
 \__/       GCS/M d- s+:-- a21 C+++>+++$ UL++>++++$ P+++ L++>++++$ E->++
  ^^                W++ N+++ o? K? w(---) O? M- V? PS-- PE++ Y? PGP->+ t
QRCZAK                  5? X- R tv-- b+>++ DI D- G+ e>++++ h! r--%>++ y-
